@import "../../../global.scss";

.module {
  width: fit-content;
  border-right: 1pt solid $med-grey;
  margin: $large-mg 0;
  padding: 0 $large-mg;
  .avatar {
    width: 130px;
    height: 130px;
    border-radius: 300px;
    background-size: cover;
    display: inline-block;
    margin: $med-mg;
    position: relative;
    box-shadow: $sml-shadow;
    .tierBadge {
      width: 60px;
      position: absolute;
      bottom: -$sml-mg;
      right: -$sml-mg;
      img {
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
      }
    }

    p {
      text-align: center;
      color: white;
      line-height: 1.4;
      text-transform: uppercase;
      font-weight: bolder;
      position: relative;
      z-index: 1;
      font-size: $sml-font;
      top: 5px;
      padding: $sml-mg;
    }
  }
  .name {
    text-transform: uppercase;
    font-size: $med-font;
    color: $dark-green;
    line-height: 1.2;
  }
  .tier {
    font-size: $book-font;
  }
}
